Summary: Graphical FM-Tuner program for GNOME
Name: gnomeradio
Version: 1.6
Release: 3%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/
Source: http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/packages/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libgnomeui-devel
BuildRequires: lirc-devel
BuildRequires: scrollkeeper
Requires(pre): GConf2
Requires(preun): GConf2
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Gnomeradio is a FM-radio tuner for the GNOME desktop. It should work with
every FM tuner card that is supported by video4linux. Remote controls are
supported via LIRC-support. Gnomeradio can also record radio as a Wave or
Ogg files.

%prep
%setup -q

%build
%configure \
	--disable-schemas-install
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
%find_lang %{name}

%{__rm} -rf %{buildroot}%{_localstatedir}/scrollkeeper/

mv -f %{buildroot}%{_datadir}/pixmaps/radio.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i -e 's/radio.png/gnomeradio.png/' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=fedora \
	--add-category=X-Fedora \
	--add-category=Application \
	--add-category=Audio \
	--add-category=Tuner \
	--add-category=GNOME \
	--add-category=GTK \
	--delete-original \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 >/dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README README.recording
%{_datadir}/gnome/help/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Sep 08 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-3
- removed redundant pkgconfig BR

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-2
- shut up gconfd not killed warning
- add missing gettext and lirc-devel BRs
- simplify BRs

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-1
- FE compliance
- more detailed description

* Fri Jan 06 2006 Dominik Mierzejewski <rpm@greysector.net>
- specfile cleanups

* Fri Oct 21 2005 Dominik Mierzejewski <rpm@greysector.net>
- Updated to 1.6

* Sat Nov 06 2004 Dag Wieers <dag@wieers.com> - 1.4-1                                        
- Fixed build problem with gnome 2.6+. (Alan Cox)

* Fri Jan 31 2003 Dag Wieers <dag@wieers.com> - 1.4-0
- Initial package. (using DAR)
